MONGOC_COLLECTION_INSERT(3)

NAME
mongoc_collection_insert() - This function shall insert document into collection.

SYNOPSIS

bool
mongoc_collection_insert (mongoc_collection_t          *collection,
                          mongoc_insert_flags_t         flags,
                          const bson_t                 *document,
                          const mongoc_write_concern_t *write_concern,
                          bson_error_t                 *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

flags
    A mongoc_insert_flags_t \&.

document
    A bson_t \&.

write_concern
    A mongoc_write_concern_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function shall insert document into collection \&.

If no _id element is found in document , then a bson_oid_t will be generated locally and added to the document.

You can retrieve a generated _id from mongoc_collection_get_last_error(3) \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if the document was successfully inserted, otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.